summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChris <xchrisx@uber.space>2020-03-28 19:39:36 +0100
committerTDE Gitea <gitea@mirror.git.trinitydesktop.org>2020-03-29 11:43:12 +0000
commit762c1fafb95fec01ec851decc6250f449b827bb3 (patch)
treecd629962cbb813f6d303dd094ce73ec38a6d9c64
parent481a0bbab5072ecba5f3041d270fcba2583e36ea (diff)
downloadtde-packaging-gentoo-762c1faf.tar.gz
tde-packaging-gentoo-762c1faf.zip
Live ebuilds: Add preliminary `KCMAutostart` ebuild.
Signed-off-by: Chris <xchrisx@uber.space>
-rw-r--r--trinity-apps/kcmautostart/kcmautostart-9999.ebuild28
1 files changed, 28 insertions, 0 deletions
diff --git a/trinity-apps/kcmautostart/kcmautostart-9999.ebuild b/trinity-apps/kcmautostart/kcmautostart-9999.ebuild
new file mode 100644
index 00000000..db6d7afc
--- /dev/null
+++ b/trinity-apps/kcmautostart/kcmautostart-9999.ebuild
@@ -0,0 +1,28 @@
+# Copyright 2020 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+TRINITY_MODULE_TYPE="applications"
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+TRINITY_HANDBOOK="optional"
+
+TRINITY_LANGS="ca de es fr nl tr"
+
+inherit trinity-base-2
+
+DESCRIPTION="Autostart module for KControl "
+HOMEPAGE="http://trinitydesktop.org/"
+LICENSE="|| ( GPL-2 GPL-3 )"
+
+need-trinity
+
+SLOT="${TRINITY_VER}"
+
+src_configure() {
+ mycmakeargs=(
+ -DBUILD_TRANSLATIONS=ON
+ )
+
+ trinity-base-2_src_configure
+} \ No newline at end of file